<link rel="stylesheet" href="<?php echo base_url();?>public/css/vendor/bootstrap/bootstrap-table.css">
<link rel="stylesheet" href="<?php echo base_url();?>public/css/vendor/bootstrap/table-fix-column.css">

<script src="<?php echo base_url();?>public/js/vendor/bootstrap/src/bootstrap-table.js"></script>
<script src="<?php echo base_url();?>public/js/vendor/bootstrap/src/table-fix-column.js"></script>

<style type="text/css">
    table {
        table-layout:fixed !important;
    }

    th{
        background: rgb(146, 208, 80);
    }

    td,th{
        max-width: 400px;
        word-wrap: break-word;
    }

    .table-hover > tbody > tr:hover {
        background-color: #c8bd6d;
    }

    input {
        width:60px;
    }

    #roleTable tr:nth-child(5n){
        background:rgb(198, 239, 206);
    } /**隔五行*/

    .fixed-table-toolbar {
        display: none;
    }

    .fileinput-button {
        position: relative;
        top: -5px;
    }

    .fileinput-button input{
        position:absolute;
        right: 0px;
        top: 0px;
        opacity: 0;
        -ms-filter: 'alpha(opacity=0)';
    }

    .th-yellow{
        background: #f3e97a;
    }
</style>
<div class="content_wrapper">
    <div id="msg-tip"></div>
    <div class="container-fluid ">
        <div class="row">
            <div class="col-sm-12">
                <aside>
                    <section>
                        <div class="container-fluid">
                            <div class="row">
                                <div class="col-sm-12">
                                    <a style="margin:5px;" class="btn btn-primary" href="#config/treasurepro" role="button">概率倍率配置</a>
                                    <a style="margin:5px;" class="btn btn-primary " href="#config/treasurepro/2" role="button">新概率倍率配置(根据任务层)</a>
                                </div>
                            </div>
                        </div>
                    </section>
                </aside>
            </div>
        </div>
        <div class="row">
            <div class="col-sm-12">
                <aside>
                    <header><i class="fa fa-fw fa-file"></i>金币转盘配置修改</header>
                    <section>
                        <div class="container-fluid">
                            <button type="button" style="margin-bottom: 10px;width: 80px;" class="btn btn-danger" disabled id="commitBtn">提交</button>
                            <div class="row" style="padding-left: 15px;">
                                <span id="filespanpro" class="btn btn-success fileinput-button">
                                    <span>导入概率</span>
                                    <input type="file" id="upfilepro">
                                </span>
                                <input type="button" style="display: none;margin-bottom: 10px;width: 80px;" class="btn btn-success" value="上传" id="btnpro"/>
                                <a type="button" href="/Export/treasurePro/2" style="margin-bottom: 10px;width: 80px;" class="btn btn-success">导出概率</a>
                            </div>
                            <div class="row">

                                <div class="col-sm-12">
                                    <div class="table-responsive">
                                        <table id="roleTable" class="table table-bordered table-hover"
                                               data-toggle="table"
                                               data-classes="table table-hover"
                                               data-show-columns="true"
                                               data-striped="true"
                                               data-height="700">
                                            <thead>
                                            <tr>
                                                <?php if(!empty($title)){
                                                    foreach ($title as $key=>$val){ ?>
                                                        <th><?php echo $val;?></th>
                                                    <?php }
                                                }?>
                                            </tr>
                                            </thead>
                                            <tbody>
                                            <?php
                                            if(is_array($list)  && !empty($list)){
                                                foreach ($list as $key => $vl) { ?>
                                                    <tr>
                                                        <td><?php echo '<div>'.$vl['taskId'].'</div>';?></td>
                                                        <?php foreach ($vl['pro'] as $k=>$v){ ?>
                                                        <td><?php echo '<div>'.$v['pro'].'</div><div>'.$v['bet'].'</div>';?></td>
                                                        <?php } ?>
                                                        <?php foreach ($vl['superBet'] as $k=>$v){ ?>
                                                            <td><?php echo '<div>'.$v['pro'].'</div><div>'.$v['bet'].'</div>';?></td>
                                                        <?php } ?>
                                                    </tr>
                                                <?php } } else{?>
                                                <tr>
                                                    <td colspan="14">暂无数据</td>
                                                </tr>
                                            <?php } ?>
                                            </tbody>
                                        </table>
                                    </div>
                                    <nav>
                                        <ul class="pagination">
                                            <li class="disabled"><a href="#">共<span class="pagetotal"><?php echo $total;?></span>条</a></li>
                                            <?php echo $pageurl;?>
                                        </ul>
                                    </nav>
                                </div>
                            </div>
                        </div>
                    </section>
                </aside>
            </div>
        </div>
    </div>


</div>


<script src="<?php echo base_url();?>public/js/common.js"></script>
<!--<script src="--><?php //echo base_url();?><!--public/js/imageChange.js"></script>-->

<script>
    $("#btnpro").click(function(){
        var formData = new FormData();
        formData.append("file",document.getElementById("upfilepro").files[0]);
        $.ajax({
            type: "POST", // 数据提交类型
            url: "Import/treasurePro/2", // 发送地址
            data: formData, //发送数据
            async: true, // 是否异步
            processData: false, //processData 默认为false，当设置为true的时候,jquery ajax 提交的时候不会序列化 data，而是直接使用data
            contentType: false, //
            success: function(data) { // 成功回调
                data = JSON.parse(data);
                if(data.ret == 0){
                    window.location.reload();
                }else {
                    msgTip = $('#msg-tip');
                    msgTip.messager().warn('上传失败');
                }
            }
        });
    });

    $("#filespanpro").on("change", "input[type='file']", function() {
        var filePath = $(this).val();
        //如果仅上传图片 if(filePath.indexOf("jpg") != -1 || filePath.indexOf("png") != -1) {
        if (filePath) {
            $('#filespanpro').hide();
            $('#btnpro').show();
        } else {
            return false
        }
    });

    $('#roleTable').on('paste', 'input', function (e) {
        var _that =  $(this);
        var strArr = [];
        var pastedText = undefined;
        if (window.clipboardData && window.clipboardData.getData) { // IE
            pastedText = window.clipboardData.getData('Text');
        } else {
            pastedText = e.originalEvent.clipboardData.getData('Text');//e.clipboardData.getData('text/plain');
        }
        if(pastedText == undefined || pastedText == null || pastedText == ''){
            return;
        }
        //处理粘贴的数据,已空格拆分
        pastedText = pastedText.replace(/,/g, '');
        strArr = pastedText.split(/\s+/);

        setTimeout(function () {
            _that.val(strArr[0]);
        }, 200);

        for(var i=1; i < strArr.length; i++){
            _that.parent().siblings().eq(i-1).removeClass('input').html(strArr[i] || '');
        }
    });

    $('#roleTable').on('dblclick','div',function(){
        var _this = $(this),//保存td
            tdText = _this.text();
        var editUserList = '<?php echo json_encode($editUserList) ?>';
        var username = '<?php echo get_cookie('username');?>';
        var msgTip = $('#msg-tip');

        editUserList = JSON.parse(editUserList);
        if($.inArray(username, editUserList) < 0){
            //msgTip.messager().warn('没有编辑权限');
            //return;
        }

        var  cellIndex =  _this[0].cellIndex;
        if(cellIndex == 0) {return false;} //点击操作列不可编辑


        if(!_this.is('.input')){
            _this.addClass('input').html('<input type="text" value="'+ tdText +'" />').find('input').focus().blur(function(){
                var _input = $(this); //保存input对象
                var thisvalue = $(this).val();
                _input.parent().removeClass('input').html(thisvalue || '');
                if($('#commitBtn').prop('disabled')){
                    $('#commitBtn').attr('disabled', false);
                }
            });
        }

    });


    //新增一行
    $('#addBtn').click(function () {
        var editUserList = '<?php echo json_encode($editUserList) ?>';
        var username = '<?php echo get_cookie('username');?>';
        var msgTip = $('#msg-tip');

        editUserList = JSON.parse(editUserList);
        if($.inArray(username, editUserList) < 0){

        }

        if($('#commitBtn').prop('disabled')){
            $('#commitBtn').attr('disabled', false);
        }
        var html = '<tr>';
        for(var i=0; i<11; i++){
            if(i<5){
                html += '<td class="input add-row"><div><input value=""/></div></td>';
            }else{
                html += '<td class="input add-row"><div><input value=""/></div><div><input value=""/></div></td>';
            }
        }

        html += ' </tr>';
        $('#roleTable').append(html);
    });

    //删除一行
    $('#roleTable').on('click','.delete-row',function () {
        if(confirm('是否确认删除该行')){
            if($('#commitBtn').prop('disabled')){
                $('#commitBtn').attr('disabled', false);
            }
            $(this).parent().parent().remove();
        }

    });


    $('#roleTable').on('blur', '.add-row', function () {
        var _that = $(this);
        var thisval = _that.find('input');
        var div = $(thisval[0]).parent();
        if($(thisval[0]).val() == ""){
            div.html(0);
        }else{
            div.html($(thisval[0]).val());
        }

        div.removeClass('input');
        div.parent().removeClass('input');
    });


    //提交表格数据
    $('#commitBtn').click(function () {
        var tableContent = $('#roleTable').html(),
            msgTip = $('#msg-tip');
        //如果还有添加未编辑的，则不能提交
        if($('#roleTable td').hasClass('input')){
            msgTip.messager().warn('列表中还有未编辑的');
            return;
        }
        var tr = $('#roleTable tr');
        var arr = [];

        for (var i = 1; i < tr.length; i++) {
            var tempData = {};
            var proTemp =[];
            var betTemp =[];
            var proId = 1;
            var betId = 1;
            td = $(tr[i]).find('td');
            for (var j = 0; j < td.length; j++) {
                var pro = {};
                var bet = {};
                div = $(td[j]).find('div');
                if(j==0){
                    tempData['taskId'] = $(div[0]).html();
                }else{
                    if(j<12){
                        pro['id']  = proId;
                        pro['pro'] = $(div[0]).html();
                        pro['bet'] = $(div[1]).html();
                        proTemp[proId-1] = pro;
                        proId++
                    }else{
                        bet['id']  = betId;
                        bet['pro'] = $(div[0]).html();
                        bet['bet'] = $(div[1]).html();
                        betTemp[betId-1] = bet;
                        betId++
                    }
                }
            }
            tempData['pro']      = proTemp;
            tempData['superBet'] = betTemp;
            arr.push(tempData)
        }


        $.ajaxSetup({
            async: true
        });


        $.ajax({
            type: 'POST',
            dataType: 'json',
            data:{
                data: JSON.stringify(arr),
            },
            url:'config/actionTreasurePro/2',
            success: function(data){
                if(data.ret == 0){
                    window.location.reload()
                    $('#commitBtn').attr('disabled', true);
                }else{
                    msgTip.messager().error(data.msg);
                }
            }
        });
    });



</script>
